phpflowApp.config(['growlProvider', function(growlProvider) {
  growlProvider.globalTimeToLive({success: 1000, error: 2000, warning: 3000, info: 4000});
  growlProvider.globalPosition('bottom-right');
}]);

phpflowLogin.factory('AuthService',['$http','$location','Session','appConfig',function($http,$location,Session,appConfig){
   var authService = {};

   authService.login = function (credentials){
      var encodedCredentials = 'Basic '+window.btoa(credentials.username+':'+credentials.password); //Base64 encode the username and password
      var request = {
        method:'GET',
        url:appConfig.apiPrefix + appConfig.apiLogin,
        headers:{
           'Authorization':encodedCredentials
        },
        data:credentials
      };
     return $http(request).success(function(data){
        Session.create(data);
        window.location.replace(window.location.origin+'/index.html');//Move to index page
     }).error(function(data, status, headers,config){
     });
   };
   return authService;
}]).service('Session',['$cookieStore',function($cookieStore){
   this.create = function (data) {
      $cookieStore.put('tokenId',data.results.token.api_token);
      $cookieStore.put('userName',data.results.user.username);
      //$cookieStore.put('firstName',data.results.user.first_name);
      //$cookieStore.put('lastName',data.results.user.last_name);
	  $cookieStore.put('displayName',data.results.user.display_name);
      $cookieStore.put('userEmail',data.results.user.email);
  };
  this.get = function(key){
     $cookieStore.get(key);
  };
   this.destroy = function () {
      $cookieStore.remove('tokenId');
      $cookieStore.remove('userName');
      //$cookieStore.remove('firstName');
      //$cookieStore.remove('lastName');
	  $cookieStore.remove('displayName');
      $cookieStore.remove('userEmail');
  };
  return this;
}]);


// This service used for global filter on table results
phpflowApp.filter('filterResult', function($filter) {
		return function(objects, search) {
			if (!search) return objects;
			var arrSearch = search.split(' ');
			  arrSearch.forEach(function(item) {
				  objects = $filter('filter')(objects, {$: item});
			  });
			
		return objects;
  }});

